---
title: npm-undeprecate
section: 1
description: Undeprecate a version of a package
---

### Synopsis

<!-- AUTOGENERATED USAGE DESCRIPTIONS -->

### Description

This command will update the npm registry entry for a package, removing any
deprecation warnings that currently exist.

It works in the same way as [npm deprecate](/commands/npm-deprecate), except
that this command removes deprecation warnings instead of adding them.

### Configuration

<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->
### See Also

* [npm deprecate](/commands/npm-deprecate)
